//Autor: Marco Biscaro
//marcobiscaro2112@gmail.com
//http://www.guj.com.br/java/149034-duvidas-ao-fazer-uma-consulta
//http://www.guj.com.br/posts/downloadAttach/4732.java
//Código modificado por Esmael Dias Prado.

package tabela.tempos;

import java.io.Serializable;

public class Tempo implements Comparable<Tempo>, Serializable {

	private String nome;
	private String sobrenome;
	private String apelido;

        //----------------------------------------------------------------------
	public String getNome() {
		return nome;
	}

	public String getSobrenome() {
		return sobrenome;
	}

	public String getApelido() {
		return apelido;
	}
        //----------------------------------------------------------------------

        //----------------------------------------------------------------------
	public void setNome(String nome) {
		this.nome = nome;
	}

	public void setSobrenome(String sobrenome) {
		this.sobrenome = sobrenome;
	}

	public void setApelido(String apelido) {
		this.apelido = apelido;
	}
        //----------------------------------------------------------------------


        //----------------------------------------------------------------------

	public int compareTo(Tempo o) {
		return nome.compareTo(o.nome) != 0 ? nome.compareTo(o.nome) : 
                       sobrenome.compareTo(o.sobrenome) != 0 ? sobrenome.compareTo(o.sobrenome): 
                       apelido.compareTo(o.apelido);
	}
        //----------------------------------------------------------------------

        /*
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((apelido == null) ? 0 : apelido.hashCode());
		result = prime * result + ((nome == null) ? 0 : nome.hashCode());
		result = prime * result
				+ ((sobrenome == null) ? 0 : sobrenome.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null || obj instanceof Cliente) {
			return false;
		}
		Cliente other = (Cliente) obj;
		return nome.equals(other.nome) && sobrenome.equals(other.sobrenome)
				&& apelido.equals(other.apelido);
	}
*/
}
