//Autor: Marco Biscaro
//marcobiscaro2112@gmail.com
//http://www.guj.com.br/java/149034-duvidas-ao-fazer-uma-consulta
//http://www.guj.com.br/posts/downloadAttach/4732.java
//Código modificado por Esmael Dias Prado.

package tabela.servos;

import java.io.Serializable;

public class Servo implements Comparable<Servo>, Serializable {

	//private static final long serialVersionUID = 1L;
	private String nome;
	private String sobrenome;
	private String apelido;

        //----------------------------------------------------------------------
	public String getNome() {
		return nome;
	}

	public String getSobrenome() {
		return sobrenome;
	}

	public String getApelido() {
		return apelido;
	}
        //----------------------------------------------------------------------

        //----------------------------------------------------------------------
	public void setNome(String nome) {
		this.nome = nome;
	}

	public void setSobrenome(String sobrenome) {
		this.sobrenome = sobrenome;
	}

	public void setApelido(String apelido) {
		this.apelido = apelido;
	}
        //----------------------------------------------------------------------


        //----------------------------------------------------------------------

        @Override
	public int compareTo(Servo o) {
		return nome.compareTo(o.nome) != 0 ? nome.compareTo(o.nome) : 
                       sobrenome.compareTo(o.sobrenome) != 0 ? sobrenome.compareTo(o.sobrenome): 
                       apelido.compareTo(o.apelido);
	}
        //----------------------------------------------------------------------

}
